Skip to Content
avatar image
Former Member

Barcode scanner not working anymor on Android Fiori Client v1.10

Hi there !

Have developped an SAPUI5 application using sap.ndc.BarcodeScanner.scan and it was working very well.

One some android devices we have upgraded Fiori client from V1.9 to v1.10.2 and since then the barcode scanner is not working anymore (we have to enter the code manually).

Have an idea of what's happening ?

Thx a lot !

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Best Answer
    Mar 14 at 01:24 PM

    My understanding is if opened via browser or barcode scanner not detected, api opens up a dialog box to enter the value manually.
    Now if you updated the Fiori Client and it was working before then the first step I would consider is looking at the
    version of the SAP UI5 that is currently instal because the Fiori Client does interact with the Fiori LaunchPad UI5.

    Also I would clear the cache and refreash to see if that helps in getting it working

    Wayne Smith
    SAP Support

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 14 at 01:24 PM

    My understanding is if opened via browser or barcode scanner not detected, api opens up a dialog box to enter the value manually.
    Now if you updated the Fiori Client and it was working before then the first step I would consider is looking at the
    version of the SAP UI5 that is currently instal because the Fiori Client does interact with the Fiori LaunchPad UI5.

    Also I would clear the cache and refreash to see if that helps in getting it working

    Wayne Smith
    SAP Support

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Mar 20 at 08:47 AM

    Hi Wayne !

    Thanks for your answer.

    Indeed, it's when we update the Fiori Client on the phone (from v1.9 to v1.10.2) that things are not working anymore.

    (On the same phone, with the same Android version was working well with Fiori Client v1.9 but does not work anymore with v1.10.2)

    Where do I have to check for the SAP UI5 version ? (and... is there a kind of compatibility matrix between SAP UI5 and Fiori Client ?)

    Many thx.

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 26 at 07:36 PM

    You would need to check the Fiori launchpad and what version of UI5 that is installed there.

    Odds are that is what the issue is and the UI5 would need to be updated to the latest releases

    From the URL *http://<host>:<port>/sap/public/bc/ui5_ui5/" run from a browser you should see the version installed that launchpad is using.

    https://experience.sap.com/fiori-design-web/v1-46/home-page/

    Next would be to update depending the System ABAP or Java Stack update differently

    ABAP can be updated with the SAPUI5 service Packs where as the JAVA stack the UI5 Is included in the

    NW Java install updates.

    UI5 version 1.44 ,1.48 and the current 1.50

    Hope this helps

    Wayne Smith

    Add comment
    10|10000 characters needed characters exceeded